Package javax.portlet

## Interface Event

    public interface Event

The `Event` interface represents an event that the portlet has received in the event processing phase.

The `Event` interface encapsulates the event name and event payload, it does not represent the event object itself.

The portlet must define the events it is able to receive in the portlet deployment descriptor with the `supported-processing-event`.

Since:
  2.0
See Also:
  `EventPortlet`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getName()` Get the local part of the event name.
`javax.xml.namespace.QName` `getQName()` Get the event QName.
`java.io.Serializable` `getValue()` Get the event payload.

### Method Detail

#### getQName

    javax.xml.namespace.QName getQName()

Get the event QName.

Returns:
  the QName of the event, never `null`.

#### getName

    java.lang.String getName()

Get the local part of the event name.

Returns:
  the local part of the event, never `null`.

#### getValue

    java.io.Serializable getValue()

Get the event payload.

Returns:
  event payload, must be serializable. May return `null` if this event has no payload.